import os
import gradio as gr
import torch
from app_image_to_3d import create_demo as create_demo_image_to_3d
from app_text_to_3d import create_demo as create_demo_text_to_3d
from model import Model
from gradio.themes.utils import sizes


theme = gr.themes.Default(radius_size=sizes.radius_none).set(
    block_label_text_color = '#4D63FF',
    block_title_text_color = '#4D63FF',
    button_primary_text_color = '#4D63FF',
    button_primary_background_fill='#FFFFFF',
    button_primary_border_color='#4D63FF',
    button_primary_background_fill_hover='#EDEFFF',
)

css = "footer {visibility: hidden}"


model = Model()

with gr.Blocks(theme=theme, css=css) as demo:
    gr.Markdown("""
        <div align='center' ><font size='60'>3D模型生成</font></div>
     """)
    with gr.Tabs():
        with gr.Tab(label='文本到 3D'):
            create_demo_text_to_3d(model)
        with gr.Tab(label='图片到3D'):
            create_demo_image_to_3d(model)

demo.queue().launch(server_name='0.0.0.0')
